import request from '@/utils/request'

// 查询微信模板列表
export function listWechatTemplate(query) {
  return request({
    url: '/store/wechatTemplate/list',
    method: 'get',
    params: query
  })
}

// 查询微信模板详细
export function getWechatTemplate(id) {
  return request({
    url: '/store/wechatTemplate/' + id,
    method: 'get'
  })
}

// 新增微信模板
export function addWechatTemplate(data) {
  return request({
    url: '/store/wechatTemplate',
    method: 'post',
    data: data
  })
}

// 修改微信模板
export function updateWechatTemplate(data) {
  return request({
    url: '/store/wechatTemplate',
    method: 'put',
    data: data
  })
}

// 删除微信模板
export function delWechatTemplate(id) {
  return request({
    url: '/store/wechatTemplate/' + id,
    method: 'delete'
  })
}

// 导出微信模板
export function exportWechatTemplate(query) {
  return request({
    url: '/store/wechatTemplate/export',
    method: 'get',
    params: query
  })
}